LeveledManifest (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Class LeveledManifest

    java.lang.Object
      org.apache.cassandra.db.compaction.LeveledManifest

    public class LeveledManifest

extends java.lang.Object

Field Summary
`static java.lang.String` | `EXTENSION`

Method Summary
`void` | `add(SSTableReader reader)`
`java.util.Collection<SSTableReader>` | `getCompactionCandidates()`
`int` | `getEstimatedTasks()`
`java.util.List<SSTableReader>` | `getLevel(int i)`
`int` | `getLevelCount()`
`int` | `getLevelSize(int i)`
`void` | `promote(java.lang.Iterable<SSTableReader> removed, java.lang.Iterable<SSTableReader> added)`
`void` | `replace(java.lang.Iterable<SSTableReader> removed, java.lang.Iterable<SSTableReader> added)`
`void` | `serialize()`
`java.lang.String` | `toString()`
`static java.io.File` | `tryGetManifest(ColumnFamilyStore cfs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXTENSION

    public static final java.lang.String EXTENSION

See Also:
  Constant Field Values

Method Detail

### add

    public void add(SSTableReader reader)

### promote

    public void promote(java.lang.Iterable<SSTableReader> removed,
                        java.lang.Iterable<SSTableReader> added)

### replace

    public void replace(java.lang.Iterable<SSTableReader> removed,
                        java.lang.Iterable<SSTableReader> added)

### getCompactionCandidates

    public java.util.Collection<SSTableReader> getCompactionCandidates()

### getLevelSize

    public int getLevelSize(int i)

### serialize

    public void serialize()

### tryGetManifest

    public static java.io.File tryGetManifest(ColumnFamilyStore cfs)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLevelCount

    public int getLevelCount()

### getLevel

    public java.util.List<SSTableReader> getLevel(int i)

### getEstimatedTasks

    public int getEstimatedTasks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation